This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478377 - RFE: give nicer UI when disk fills up.
RFE: give nicer UI when disk fills up.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
athlon Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 01:13 EST by David Timms
Modified: 2009-01-26 20:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:56:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screnshot of yucky dialog (54.38 KB, image/png)
2008-12-29 01:13 EST, David Timms
no flags Details
complete exception trace (3.12 KB, text/plain)
2008-12-29 01:14 EST, David Timms
no flags Details

  None (edit)
Description David Timms 2008-12-29 01:13:24 EST
Created attachment 327908 [details]
screnshot of yucky dialog

Description of problem:
Ugly message in tiny error box, if PackageKit fills the disk while trying to check for updates.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.3.12-3.fc9.i386

How reproducible:
Yes.

Steps to Reproduce:
1. Almost completely fill your disk where yum cache hides.
2. Let PK do it's background checking for updates.
  
Actual results:
Tiny non-expandable dialog: containing when details clicked:
Error Type: <type 'exceptions.IOError'>
Error Value: [Errno 28] No space left on device
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2280, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2277, in main
    backend.dispatcher(sys.argv[1:])

Expected results:
1. Perhaps there is already out of disk space style error dialogs available elsewhere in gnome/freedesktop/fedora, that could be triggered. If not maybe such a general thing would be a general enhancement in the future.

2. Specifically trap the exception, and provide a dialog with a nice message like "
Package detected an error:
While attempting to retrieve the list of available updates, the device containing the update cache [/var/cache/x] reported no disk space left.
PackageKit can resume normal operation once some action is taken to reduce the disk usage on that device."
Comment 1 David Timms 2008-12-29 01:14:18 EST
Created attachment 327909 [details]
complete exception trace
Comment 2 Richard Hughes 2009-01-08 07:13:47 EST
commit 3fb28f0b5580e02a04eb996b1793e61cfd15f850
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jan 8 12:12:52 2009 +0000

    yum: catch IOError and handle out of disk space. Fixes RH#478377
Comment 3 Richard Hughes 2009-01-08 07:28:02 EST
commit e3d6ba4c21a7c21a4eafb1c16c537dc7cbb2ea68
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jan 8 12:26:27 2009 +0000

    trivial: add a 'no-space-on-device' error enum and use it in the yum backend
Comment 4 Fedora Update System 2009-01-08 12:11:07 EST
PackageKit-0.3.13-1.fc10,gnome-packagekit-0.3.13-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.13-1.fc10,gnome-packagekit-0.3.13-1.fc10
Comment 5 Fedora Update System 2009-01-14 21:51:29 EST
PackageKit-0.3.13-1.fc10, gnome-packagekit-0.3.13-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit gnome-packagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0352
Comment 6 Fedora Update System 2009-01-26 20:56:35 EST
PackageKit-0.3.13-1.fc10, gnome-packagekit-0.3.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.